Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.PosProcessor.NounExtractor
Class NounExtractor

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.PosProcessor.NounExtractor.NounExtractor

All Implemented Interfaces:
  Plugin, PosProcessor

    public class NounExtractor

extends java.lang.Object
implements PosProcessor

This plug-in extracts the morphemes recognized as a noun after Part Of Speech tagging was done. It is a POS Processor plug-in which is a supplement plug-in of phase 3 in HanNanum work flow.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`private java.util.LinkedList<java.lang.String>` | `nounMorphemes` the buffer for noun morphemes
`private java.util.LinkedList<java.lang.String>` | `nounTags` the buffer for tags of the morphemes

Constructor Summary
`NounExtractor()`

Method Summary
`Sentence` | `doProcess(Sentence st)` It extracts the morphemes which were recognized as noun after POS tagging.
`void` | `initialize(java.lang.String baseDir, java.lang.String configFile)` This method is called before the work flow starts in order to initialize the plug-in.
`void` | `shutdown()` This method is called before the work flow is closed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nounMorphemes

    private java.util.LinkedList<java.lang.String> nounMorphemes

  the buffer for noun morphemes

### nounTags

    private java.util.LinkedList<java.lang.String> nounTags

  the buffer for tags of the morphemes

Constructor Detail

### NounExtractor

    public NounExtractor()

Method Detail

### initialize

    public void initialize(java.lang.String baseDir,
                           java.lang.String configFile)
                    throws java.lang.Exception

  Description copied from interface: `Plugin`
  This method is called before the work flow starts in order to initialize the plug-in. A configuration file can be passed to the plug-in, which makes the plug-in more flexible.

  Specified by:
    `initialize` in interface `Plugin`
  Parameters:
    `baseDir` - - the base directory of HanNanum files
    `configFile` - - the path for the configuration file
  Throws:
    `java.lang.Exception` - x

### shutdown

    public void shutdown()

  Description copied from interface: `Plugin`
  This method is called before the work flow is closed.

  Specified by:
    `shutdown` in interface `Plugin`

### doProcess

    public Sentence doProcess(Sentence st)

  It extracts the morphemes which were recognized as noun after POS tagging.

  Specified by:
    `doProcess` in interface `PosProcessor`
  Parameters:
    `st` - - the POS tagged sentence
  Returns:
    the sentence in which only nouns were remained

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD